<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

use Modules\KonfirmasiBank\Http\Controllers\KonfirmasiBankController;

$module = file_get_contents(dirname(__FILE__, 2) . '/module.json');
$module = json_decode($module);

Route::group(['middleware' => ['auth', 'verified']], function () {
    //Route::resource('konfirmasibank', KonfirmasiBankController::class);
    // Route::post('konfirmasibank/getPdf', [KonfirmasiBankController::class, 'getPdf'])->name('getPdf');
     Route::get('/konfirmasibank', 'KonfirmasiBankController@index')->name('konfirmasibank.index');
     //Route::get('/list', [CustomerController::class, 'list'])->name('customer.list');
     Route::get('getData',array('as'=>'getData','uses'=>'KonfirmasiBankController@getData'));
     //Route::post('getPdf/',array('as'=>'getPdf','uses'=>'CustomerController@getPdf'));
     Route::post('export', [KonfirmasiBankController::class, 'export'])->name('konfirmasibank.export');
     //Route::get('/store', 'CustomerController@store');
   // Route::get('/create', [CustomerController::class, 'create'])->name('customer.create');
    //Route::Post('/export',[KonfirmasiBankController::class,'export'])->name('konfirmasibank.export');
});